DELETE
/api/v1/storage/buckets/{bucket_name}/
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/storage/buckets/{bucket_name}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/storage/buckets/{bucket_name}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/storage/buckets/{bucket_name}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”bucket_name
required
string
Bucket Name
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Bucket deletion initiated successfully
Media typeapplication/json
object
code
integer
data
object
errors
object
message
string
Example
{ "code": 200, "data": {}, "errors": {}, "message": "Your request to delete the bucket is being processed. This may take some time depending on the amount of data in the bucket."}Precondition Failed – Bucket has a lock policy applied
Media typeapplication/json
object
code
integer
data
object
errors
string
message
string
Example
{ "code": 412, "data": {}, "errors": "You can not delete this bucket. Default lock policy is applied on this bucket. First delete default lock policy and then delete bucket.", "message": "Precondition Failed"}